<?php
	error_reporting(E_ALL & ~E_NOTICE & ~E_WARNING);
	header('Content-Type: application/json; charset=UTF-8');
	
	if (isset($_POST['url'])){
		
		$shortURL = $_POST['url'];
		
		if  ( $ret = parse_url($shortURL) ) {
			if ( !isset($ret["scheme"]) ){
				$shortURL = "http://{$shortURL}";
			}
		}
		
		$result = array(
				'success' => false,
				'message' => 'Bad URL',
				'data'=> $shortURL
			);
		
		$header = get_headers($shortURL, 1);
		$response_code = explode(' ',$header[0]);
		$response_code = $response_code[1];
		
		$is_shortURL = true;
		if(isset($header['Location'])){		
			$real_url = $header['Location'];		
		}else if(isset($header['location'])){		
			$real_url = $header['location'];		
		}else{
			$real_url = '';
			$is_shortURL = false;
		}	
		if(is_array($real_url)){
			$real_url = $real_url[0];
		}
		
		if($is_shortURL){
			$domain = parse_url($real_url);
			$domain = $domain['host'];		
			$data = '<p class="text-center">';
			$data .= '<img id="screenshot" src="http://mini.s-shot.ru/1024x768/400/jpeg/?'.$real_url.'">';
			$data .= '</p>';
			$data .= '<p class="text-center"><strong>';
			$data .= 'SCREENSHOT OF THE SITE';
			$data .= '</strong></p>';
			$data .= '<table class="table table-striped text-left">';
			$data .= '<tbody>';
			$data .= '<tr>';
			$data .= '<td class="text-label">Long URL</td>';
			$data .= '<td><a href="'.$real_url.'" target="_blank">'.$real_url.'</a></td>';
			$data .= '</tr>';
			$data .= '<tr>';
			$data .= '<td class="text-label">Short URL</td>';
			$data .= '<td><a href="'.$shortURL.'" target="_blank">'.$shortURL.'</a></td>';
			$data .= '</tr>';
			$data .= '<tr>';
			$data .= '<td class="text-label">Redirection</td>';
			$data .= '<td>'.$response_code.'</td>';
			$data .= '</tr>';
			$data .= '<tr>';
			$data .= '<td class="text-label">Search long URL on</td>';
			$data .= '<td><a href="http://search.yahoo.com/search?p=site:'.$real_url.'" target="_blank" rel="nofollow">Yahoo</a> | <a href="https://www.google.com/search?q=site:'.$real_url.'" target="_blank" rel="nofollow">Google</a> | <a href="http://www.bing.com/search?q=site:'.$real_url.'" target="_blank" rel="nofollow">Bing</a> | <a href="https://twitter.com/#!/search/realtime?q='.$shortURL.'" target="_blank" rel="nofollow">Twitter</a></td>';
			$data .= '</tr>';
			$data .= '<tr>';
			$data .= '<td class="text-label">Check if safe on</td>';
			$data .= '<td><a href="http://www.mywot.com/en/scorecard/'.$domain.'" target="_blank" rel="nofollow">Web Of Trust</a> | <a href="http://www.siteadvisor.com/sites/'.$domain.'" target="_blank" rel="nofollow">SiteAdvisor</a> | <a href="https://transparencyreport.google.com/safe-browsing/search?url='.$domain.'" target="_blank" rel="nofollow">Google</a> | <a href="http://sitecheck.sucuri.net/results/'.$domain.'" target="_blank" rel="nofollow">Sucuri</a> | <a href="https://safeweb.norton.com/report/show?url='.$domain.'" target="_blank" rel="nofollow">Norton</a> | <a href="http://www.browserdefender.com/site/'.$domain.'" target="_blank" rel="nofollow">Browser Defender</a></td>';
			$data .= '</tr>';
			$data .= '</tbody>';
			$data .= '</table>';
			
			$result = array(
				'success' => true,
				'message' => 'Success',
				'data'=> $data
			);
		}else{			
			$data = '<div id="error-wrapper" class="text-center">';
			$data .= '<p class="text-center">Oh no! We have a problem...</p>';
			$data .= '<p class="big-text">or this URL is not expandable.<span class="small-text">it happens when your short URL is already in its original form.</span></p>';
			$data .= '<p class="big-text">or the URL shortener server is encountering difficulties.<span class="small-text">you may try to reload this page.</span></p>';
			$data .= '<p class="big-text">or Short URL  Expander is still unable to expand this type of short URL.<span class="small-text">be convinced that we are working on that.</span></p>';
			$data .= '</div>';
			
			$result = array(
				'success' => false,
				'message' => 'Bad URL',
				'data'=> $data
			);
		}
	}else{
		$data = '<p class="text-center alert alert-danger">Bad Request</p>';
		$result = array(
			'success' => false,
			'message' => 'Bad Request',
			'data'=> $data
		);
	}
	echo json_encode($result);
?>